part of 'total_energy_consumption_bloc.dart';

sealed class TotalEnergyConsumptionEvent extends Equatable {
  const TotalEnergyConsumptionEvent();

  @override
  List<Object?> get props => [];
}

final class TotalEnergyConsumptionLoadEvent extends TotalEnergyConsumptionEvent {
  const TotalEnergyConsumptionLoadEvent({required this.param});

  final GetTotalEnergyConsumptionParam param;

  @override
  List<Object?> get props => [param];
}

final class ClearTotalEnergyConsumptionEvent extends TotalEnergyConsumptionEvent {
  const ClearTotalEnergyConsumptionEvent();
}
